Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > Linux Forums > HOWTO-Related Questions

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 27th April 2007, 22:29
Freak Willie Freak Willie is offline
Junior Member
 
Join Date: Apr 2007
Posts: 3
Thanks: 0
Thanked 0 Times in 0 Posts
Default Problem with courier in the "Set Up Ubuntu-Server 6.10 how to"

Hi there, everyone. I was doing the "Set Up Ubuntu-Server 6.10 As A Firewall/Gateway For Your Small Business Environment" how to and then in the first step of the third page where I should apt-get the courier-authlib-mysql. When I do this I get a message that says that this package isn't available but got references by other package. I tried to dowload it myself and install but it got dependences that got dependences themself. So I thought the mistake can be somewhere else since that how to is very simple. I shouldn't be getting this mistake. Any idea of what could be happening? Oh, apologizes for my english and my linux knowledge, I'm either a starter in linux and not english mother-languaged.

Thanks anyone.
Reply With Quote
Sponsored Links
  #2  
Old 28th April 2007, 19:26
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,741 Times in 2,575 Posts
Default

What's the exact error message you get?
What's in your /etc/apt/sources.list?
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #3  
Old 30th April 2007, 19:14
Freak Willie Freak Willie is offline
Junior Member
 
Join Date: Apr 2007
Posts: 3
Thanks: 0
Thanked 0 Times in 0 Posts
Default

Well, since the error message is wrote in portugues I can't just copy and paste it, so I'll try to translate it. I'm getting a message like this:

Reading Package List... Ready
Building Dependency Tree... Ready
The courier-authlib-mysql isn't available, but is referenced by another package.
This may means that the package is missing, got obsolete or is available only through another source
E: The courier-authlib-mysql hasn't instalation candidates

My etc/apt/sources.list:

#
# deb cdrom:[Ubuntu-Server 6.06.1 _Dapper Drake_ - Release i386 (20060807.1)]/ dapper main restricted


# deb cdrom:[Ubuntu-Server 6.06.1 _Dapper Drake_ - Release i386 (20060807.1)]/ dapper main restricted

deb http://br.archive.ubuntu.com/ubuntu/ dapper main restricted universe
deb-src http://br.archive.ubuntu.com/ubuntu/ dapper main restricted universe

## Major bug fix updates produced after the final release of the
## distribution.
deb http://br.archive.ubuntu.com/ubuntu/ dapper-updates main restricted universe
deb-src http://br.archive.ubuntu.com/ubuntu/ dapper-updates main restricted universe

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
# deb http://br.archive.ubuntu.com/ubuntu/ dapper universe
# deb-src http://br.archive.ubuntu.com/ubuntu/ dapper universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://br.archive.ubuntu.com/ubuntu/ dapper-backports main restricted universe multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ dapper-backports main restricted universe multiverse
Reply With Quote
  #4  
Old 1st May 2007, 20:42
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,741 Times in 2,575 Posts
Default

The universe repository is active, so that shouldn't be the problem.
Can you run
Code:
apt-get update
and try to install that package again?
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #5  
Old 2nd May 2007, 22:41
Freak Willie Freak Willie is offline
Junior Member
 
Join Date: Apr 2007
Posts: 3
Thanks: 0
Thanked 0 Times in 0 Posts
 
Default

Hi, there.

I tried it, but didn't work. I was using ubuntu 6.06 server, so I realized it could be the reason of the error, since the tutorial was wrote for the 6.10 release, I installed the 6.10 (edgy) on the machine and apparently it all went ok apt-getting the files.
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems with Postfix Mysql Courier PatrickAdrichem Installation/Configuration 3 13th April 2007 15:44
Setting up a backup mail server setup with two installations of ISPConfig zitch Tips/Tricks/Mods 7 30th December 2006 10:07
The Perfect Setup Suse 9.3 - Postfix problems new_bee05 HOWTO-Related Questions 20 25th November 2005 02:30
POP3 SMTP FTP problem arsu Installation/Configuration 1 11th November 2005 09:32
Ubuntu 5.04 Server Noob Problem jugo23 Installation/Configuration 1 14th October 2005 09:23


All times are GMT +2. The time now is 10:38.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.